Bug 7507 - Audience Subtype limit on Advanced Search does not have all Audiences
Summary: Audience Subtype limit on Advanced Search does not have all Audiences
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: David Cook
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-07 16:56 UTC by Nicole C. Engard
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
opac types (17.90 KB, image/png)
2012-07-09 19:34 UTC, Nicole C. Engard
Details
staff types (20.99 KB, image/png)
2012-07-09 19:34 UTC, Nicole C. Engard
Details
Bug 7507 - Audience Subtype limit on OPAC Advanced Search does not have all Audiences (1.94 KB, patch)
2013-01-28 23:00 UTC, David Cook
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7507 - Audience Subtype limit on OPAC Advanced Search does not have all Audiences (2.14 KB, patch)
2013-02-05 13:45 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7507 - Audience Subtype limit on OPAC Advanced Search does not have all Audiences (2.43 KB, patch)
2013-02-06 15:57 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-02-07 16:56:29 UTC
If you look at the audience subtype limit on the advanced search it has only a few choices, but if you edit the audience in the 008 there are many many options.  The advanced search should have the same values as the 008 so that you can limit on everything that you might have entered.
Comment 1 Nicole C. Engard 2012-07-09 19:34:13 UTC
Created attachment 10727 [details]
opac types

Can we grab some code from the staff client which has more subtypes than the OPAC?
Comment 2 Nicole C. Engard 2012-07-09 19:34:27 UTC
Created attachment 10728 [details]
staff types
Comment 3 Nicole C. Engard 2012-07-09 19:34:56 UTC
Also the types in the OPAC aren't searching right ...  Clicking on Juvenile on the OPAC is actually audience 'c' Preadolescent audience.
Comment 4 Joy Nelson 2012-07-09 19:35:31 UTC
Further note:
These subtype limits do not even match what the staff side or what is in the marc record (tag 008 position 22). 

In the OPAC:
The subtype limit of Easy is audience 'a' which is Preschool audience on the staff side.  

The OPAC limit of Juvenile is actually 'c' Preadolescent on the staffside.  (NOTE: there is a juvenile audience 'j' which leads to significant confusion by staff who believe this is the same search)  

Subtype limit of 'd' Young Adult on Opac is 'Adolescent' on staffside.  

Only the Adult designation is an accurate match to the search on the staffside.
Comment 5 David Cook 2013-01-28 23:00:59 UTC Comment hidden (obsolete)
Comment 6 Nicole C. Engard 2013-02-05 13:45:35 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2013-02-06 15:57:17 UTC
QA comment:

It seems consistent to have the same values at the OPAC and at the intranet.
This patch just adds missing entries in the advanced search form.

Marked as Passed QA.
Comment 8 Jonathan Druart 2013-02-06 15:57:34 UTC
Created attachment 15108 [details] [review]
Bug 7507 - Audience Subtype limit on OPAC Advanced Search does not have all Audiences

The OPAC audience subtype limit did not have all the audiences defined by the MARC record (and available in the staff client advanced search). It also incorrectly labelled some of the audiences that it did include.

This patch copies the (correct) audiences from the staff client template to the OPAC template.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Test plan:
 * Search before applying by audience
 * Apply patch
 * Search by a newly appeared audience
 * Search by an audience that was there before

All tests pass!

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Replace tab with 4 spaces.
Comment 9 Jared Camins-Esakov 2013-02-07 05:00:30 UTC
This patch has been pushed to master.
Comment 10 Chris Cormack 2013-02-08 23:36:14 UTC
Pushed to 3.10.x and 3.8.x will be in 3.10.3 and 3.8.10